Subject: bug#67945: 30.0.50; Jsonrpc trouble dealing with nested synchronous requests

From: João Távora <[email-masked]>
Date: Thu, 21 Dec 2023 01:01:44 +0000

On Wed, Dec 20, 2023 at 11:31 PM João Távora <[email-masked]> wrote:
>
> Hi,
>
> I've come across a rather complicated bug in jsonrpc.el that affects a
> certain class of JSON-RPC applications.  Eglot, on of the more important
> `jsonrpc.el` clients (perhaps the most) is not affected, as far as I
> can tell.
>
> I already have a fix for this bug, but I am filing this report as a
> reference for the commit message and to collect comments.

I've now pushed the fix to jsonrpc.el and tagged version 1.0.21
of the jsonrpc package.

I'd like to push some tests using the `jbug.py` test server
attached earlier.  Is here a good place to store such helper scripts
in our test subtree?

João